﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Scribble
{
    public partial class Form1 : Form
    {
        bool isDrawing = false;
        Point prevPos;
        Graphics g;
        Pen p;
        int thickness = 1;
        Color c;
        public Form1()
        {
            InitializeComponent();
            g = this.CreateGraphics();
            c = Color.Red;
            p = new Pen(c, thickness);
        }
        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            prevPos = new Point(e.X, e.Y);
            isDrawing = true;
        }
        private void Form1_MouseMove(object sender, MouseEventArgs e)
        {
            if (isDrawing)
            {
                Point currPos = new Point(e.X, e.Y);
                g.DrawLine(p, prevPos, currPos);
            }
            prevPos = new Point(e.X, e.Y);
        }
        private void Form1_MouseUp(object sender, MouseEventArgs e)
        {
            isDrawing = false;
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            g.Clear(Color.White);
        }

        private void closeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void colorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                System.Diagnostics.Trace.WriteLine("Color=" + colorDialog1.Color);
                c = colorDialog1.Color;
                p.Dispose();
                p = new Pen(c, thickness);
            }
        }

        private void lineThicknessToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 f = new Form2();
            if (f.ShowDialog() == DialogResult.OK)
            {
                System.Diagnostics.Trace.WriteLine("LineThickness=" + f.LineThickness);
                thickness = f.LineThickness;
                p.Dispose();
                p = new Pen(c, thickness);
            }
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            newToolStripMenuItem_Click(sender, e);
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            colorToolStripMenuItem_Click(sender, e);
        }

        private void toolStripComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (toolStripComboBox1.SelectedIndex)
            {
                case 0: thickness = 1; break;
                case 1: thickness = 2; break;
                case 2: thickness = 3; break;
                case 3: thickness = 4; break;
                case 4: thickness = 5; break;
                default: break;
            }
            p.Dispose();
            p = new Pen(c, thickness);
        }
    }
}
